Subject: Newbie pathing question
From: [email-masked] (David Relson)

9 Nov 1996 20:02:18 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Pro Version 2.2 (32)
Original-To: [email-masked]
Original-Sender: [email-masked]

I am attempting to configure the Cygnus Win 32 distribution so that I can
compile and run programs under Windows NT 3.51.  I have looked at the README
files and the FAQ, to no avail.

I have tried several different ways to configure the system, for example:

    configure --srcdir=//i/H-i386-cygwin32/src/gcc --host=i386-cygwin32
--target=i386-cygwin32 

    configure --srcdir=//i/H-i386-cygwin32/src/gcc
--host=i386-intel-cygwin32 --target=i386-intel-cygwin32

    configure --srcdir=//i/H-i386-cygwin32/src/gcc
--host=i386-intel-winnt351 --target=i386-intel-winnt351

With each of these, when I run make (for example from src\gnu\objc), I get
output like the following:

    gcc  -DIN_GCC   -g      -I. -I//i/H-i386-cygwin32/src/gcc
-I//i/H-i386-cygwin32/src/gcc/config -c objc-parse.c
    objc-parse.c:19: stdio.h: No such file or directory

It seems that the compiler cannot find my include directory.  Running tar
-xvf on four.tar.gz puts stdio.h in
H-i386-cygwin32/i386-cygwin32/include/stdio.h

My directory structure is (with some lower level details removed):

    I:\H-i386-cygwin32
      |-- lib    |
          |-- gcc-lib
          |-- ldscripts
      |-- i386-cygwin32\
          |-- bin
          |-- lib
          |-- include
          |-- install-tools
      |-- libexec
      |-- bin
      |-- etc
      |-- include\
          |-- g++
          |-- machine
          |-- sys
          |-- arpa
          |-- asm
          |-- cygwin32
          |-- net
          |-- netinet
      |-- info
      |-- src
          |-- gcc
          |-- winsup
          |-- make
      |-- share
      |-- man
          |-- man1
          |-- man3

My questions are two:

What should the configure command really be?

How is the include directory path made available to GCC?

Thank you.

David Relson                internet: [email-masked]
Ann Arbor, MI	            compuserve: 71441,1160

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".